> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/tron/tron-solidity-api/account-resources/getdelegatedresourceaccountindexv2.md).

# GetDelegatedResourceAccountIndexV2

Stake 2.0 API: query the resource delegation index by an account (confirmed state). Two lists will return, one is the list of addresses the account has delegated its resources(toAddress), and the other is the list of addresses that have delegated resources to the account(fromAddress).

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `value` - String - Account address, default hexString
* `visible` - Boolean - Optional - Specifies whether the address is in Base58 format (default: false).

## **Returns**

| Field        | Type      | Description                                                        |
| ------------ | --------- | ------------------------------------------------------------------ |
| account      | string    | Account address                                                    |
| fromAccounts | string\[] | The list of addresses that have delegated resources to the account |
| toAccounts   | string\[] | The list of addresses the account has delegated its resources to   |

```json
// Result
{
  "account": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g"
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/walletsolidity/getdelegatedresourceaccountindexv2 \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "value": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g",
  "visible": true
}
'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-solidity-api/account-resources/getdelegatedresourceaccountindexv2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
